Subject: CUA cut/copy no longer work in keyboard macros (emacs25)

From: Ben Bridgwater <[email-masked]>
Date: Sun, 17 Mar 2019 21:04:28 -0400

I just upgraded from emacs24 (Ubuntu 16.04) to emacs25 (Ubuntu 18.04), and
have found that the CUA cut/copy (ctrl-x, ctrl-v) bindings no longer work
in keyboard macros. Attempting to use them now results in an "keyboard
macro terminated by a command ringing the bell" error on macro playback.

The issue seems to be the CUA bindings since the underlying cut/copy
functions (kill-region, kill-ring-save) still work correctly in macros when
bound to other keys.

The CUA paste function (ctrl-v) is unaffected by the bug and continues to
work in macros.

Ben